---
editUrl: false
next: false
prev: false
title: "EventControlPlugin"
---

> **EventControlPlugin**\<`I`\>(`execute`): [`Plugin`](/v3/api/interfaces/plugin/)\<`unknown`[]\>

## Type parameters

• **I** *extends* [`EventType`](/v3/api/enumerations/eventtype/)

## Parameters

• **execute**

## Returns

[`Plugin`](/v3/api/interfaces/plugin/)\<`unknown`[]\>

## Since

2.5.0
@__PURE__

## Source

[src/core/create-plugins.ts:46](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/create-plugins.ts#L46)
